Bug 168194 - Review request: perl-ExtUtils-AutoInstall - Automatic install of dependencies via CPAN
Review request: perl-ExtUtils-AutoInstall - Automatic install of dependencies...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/ExtUtils-...
:
Depends On:
Blocks: FE-ACCEPT 168187
  Show dependency treegraph
 
Reported: 2005-09-13 09:13 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-20 03:24:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-09-13 09:13:57 EDT
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-ExtUtils-AutoInstall.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-ExtUtils-AutoInstall-0.63-1.src.rpm

Description:
ExtUtils::AutoInstall lets module writers specify a more sophisticated
form of dependency information than the PREREQ_PM option offered by
ExtUtils::MakeMaker.
Comment 1 Paul Howarth 2005-09-14 07:27:14 EDT
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec
- spec file written in English and is legible
- source matches upstream
- package builds OK in mock for FC4 (i386)
- BR's OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop file needed
- no scriptlets

Needswork:

- license text not included, nor is any comment included in spec about this;
  I suggest adding a comment "# For license text(s), see the perl package" in
  or near the %files list, as in the perl-Hook-LexWrap package (see also
  bug 167405)

- Typo in URL for Source: s/AUTRJIUS/AUTRIJUS/

Comments:

- adding additional BRs of links, wget, ncftp, ftp, and gpg would get rid of
  the warnings produced in "make test" but I don't think it matters really

- it would be nice if the module's ability to install and uninstall other
  modules could be disabled; whilst this is core functionality for the module,
  it's not really desirable behaviour on an RPM-based system, where I guess
  the purpose of this module is only really as a version-checker for other
  module builds (this is probably not possible though)

Comment 2 Ralf Corsepius 2005-09-14 07:44:37 EDT
(In reply to comment #1)

> Needswork:
> 
> - license text not included,
The program code carries legally binding and valid copyright terms:
http://search.cpan.org/~autrijus/ExtUtils-AutoInstall-0.63/lib/ExtUtils/AutoInstall.pm#COPYRIGHT

> nor is any comment included in spec about this;
It is:

License: GPL or Artistic

>   I suggest adding a comment "# For license text(s), see the perl package" in
>   or near the %files list, as in the perl-Hook-LexWrap package (see also
>   bug 167405)
This is a redundant comment only informative to packagers, without any legal
importance nor relevance, or visibly to users (it is inside of the spec).

The only legally relevant term is the copyright/licensing paragraph inside of
the source code.
 
> - Typo in URL for Source: s/AUTRJIUS/AUTRIJUS/
OK, valid point.
Comment 3 Ralf Corsepius 2005-09-14 08:33:40 EDT
(In reply to comment #1)
 
> - adding additional BRs of links, wget, ncftp, ftp, and gpg would get rid of
>   the warnings produced in "make test" but I don't think it matters really
These warnings do not stem from this module, but stem from other perl modules
(Probably LWP::*).

> - it would be nice if the module's ability to install and uninstall other
>   modules could be disabled; whilst this is core functionality for the module,
>   it's not really desirable behaviour on an RPM-based system, where I guess
>   the purpose of this module is only really as a version-checker for other
>   module builds (this is probably not possible though)
The module is being used by other module's Makefile.PL, which try to download
other modules at module build-time, when it finds some requirements are not met.
For these modules, you can't build their Makefile from their Makefile.PL's if
ExtUtils::AutoInstall is not present.

Updated packages soon to appear at:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-ExtUtils-AutoInstall.spec
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-ExtUtils-AutoInstall-0.63-2.src.rpm
Comment 4 Paul Howarth 2005-09-14 10:28:15 EDT
Approved.
Comment 5 Jose Pedro Oliveira 2005-09-14 10:40:57 EDT
This module may use the sudo command for retries (see sub_can_write or grep for
system in the .pm file).

Should we require it?

Nitpick:
Last changelog entry: release mismatch.
Comment 6 Paul Howarth 2005-09-14 10:51:38 EDT
(In reply to comment #5)
> This module may use the sudo command for retries (see sub_can_write or grep for
> system in the .pm file).
> 
> Should we require it?

As I understand it, sudo is only needed when this module is trying to install
another module. I don't think we want to encourage people to install non-RPM
perl modules, so I'd say `no'.
Comment 7 Jose Pedro Oliveira 2005-09-14 11:19:52 EDT
OK. I agree (not requiring sudo).

Note You need to log in before you can comment on or make changes to this bug.